FUSER(1)

NAME
fuser - identify process IDs holding specific files open

SYNOPSIS
fuser [-cfku] [-M core] [-N system] [-s signal] file ...

DESCRIPTION
The fuser utility writes to standard output the process IDs of processes running on the local system that have one or more of the named files open. If file is a mounted block device, the output will show all processes having files opened on that file system.

The options are as follows:

-c  The file is treated as a mount point and fuser will report on any files open in the file system.

-f  Report only for the named file(s).

-k  Send the SIGKILL signal to each process.

-M core
    Extract values associated with the name list from the specified core instead of the running kernel.

-N system
    Extract the name list from the specified system instead of the running kernel.

-s signal
    Send the specified signal to each process. The signal may be specified as a signal number or as a symbolic name either with or without the “SIG” prefix. Signal names are not case sensitive. For example, the following signal arguments are equivalent: “9”, “kill”, “SIGKILL”.

-u  The username of the process using the file will be printed in brackets to standard error. If the username is unable to be determined, the real user ID will be printed instead.

The -c and -f options are mutually exclusive.

The name of the file followed by a colon (‘’): is printed to standard error. The following characters may be printed to standard error after the process ID if the described conditions are true:

c   The file is the process's current working directory.
r   The file is the process's root directory.
t   The file is the process's executable text.

EXIT STATUS

EXAMPLES
Print the process IDs of any processes holding files open under the /mnt filesystem:

    $ fuser -c /mnt

Send SIGTERM to any process holding a file open under the /mnt filesystem:

    # fuser -c -s term /mnt

Report on all files opened under the filesystem on which /dev/wd0a is mounted:

    $ fuser /dev/wd0a

Report on all processes currently holding /dev/wd0a open:

    $ fuser -f /dev/wd0a

SEE ALSO
fstat(1), kill(1), signal(3), mount(8)

STANDARDS
The fuser utility is compliant with the X/Open System Interfaces option of the p1003.1-2008 specification.

The flags [-kMNs] are extensions to that specification.

HISTORY
The fuser utility has been available since OpenBSD 4.7.